v0.0.67 - 2026-04-29
Additions
- Added new
nehrFormenum value to theadditionalFieldquery parameter onGET /api/v1/referrals/:referralId. When requested, the response includes:nehrForm— the referral form rendered as a self-contained HTML document, suitable for forwarding to NEHR.nehrFormType— a human-readable description of the NEHR form type(s), with multiple templates joined by|.
Documentation Changes
- Added a new
NEHR Integrationpage in theConceptssection, explaining how to map RefX fields (offering.nehrCode,offering.specialty,nehrForm,nehrFormType) into a NEHRputCompositionrequest.
Recommendations
- For NEHR integrations, call
GET /api/v1/referrals/:referralId?additionalField=nehrFormimmediately before submitting to NEHR, and forward the returnednehrFormHTML as-is — do not modify, reflow, or strip styles, or it may not render correctly in NEHR. - Read the new
NEHR Integrationconcept page for the full mapping between RefX fields and NEHRputCompositionpayload locations. - If you have any questions or need support with these changes, please reach out to the RefX team at refx-support@health.gov.sg.
v0.0.66 - 2026-04-24
The changes documented here consolidate the main changes made from v0.0.58 to v0.0.66.
Breaking Changes
GET /api/v1/referrals/:referralIdnow requiresrequesterIdentifier,institutionIdType, andinstitutionIdas query parameters.DELETE /api/v1/referrals/:referralIdnow requiresinstitutionIdTypeandinstitutionIdas query parameters.POST /api/v1/referrals/:referralId/back-to-draftnow requiresinstitutionIdTypeandinstitutionIdin the request body.POST /api/v1/referrals/:referralId/cancelnow requiresinstitutionIdType,institutionId, andcancelNotein the request body.POST /api/v1/referrals/:referralId/notesnow requiresinstitutionIdTypeandinstitutionIdin the request body.POST /api/v1/links/upsertnow requiresrequesterIdentifierandinstitutionIdTypein the request body.statusfield inappointmentsarray inGET /api/v1/referrals/:referralIdresponse has some values renamed:booked->schedulednoShow->no-show
- Added new
typevalues totimelineEventsarray inGET /api/v1/referrals/:referralIdresponse:referral.pending-acceptanceappt.actualizedappt.no-showappt.cancelled
Additions
- Added
nationalityfield toPOST /api/v1/links/upsertrequest body. - Added
locationfield toappointmentsarray inGET /api/v1/referrals/:referralIdresponse. - Added new
isCancellableandcoreStatusfields toGET /api/v1/referrals/:referralIdresponse. - Added new
sender-action-requiredenum value to theGET /api/v1/institutions/:institutionIdType/:institutionId/referralsstatusquery parameter. - Added new
offering.specialtyandoffering.nehrCodefields toGET /api/v1/referrals/:referralIdresponse. - Added new
labelfield tolinksarray inGET /api/v1/referrals/:referralIdresponse.
Deprecations
- The
statusfield in theGET /api/v1/referrals/:referralIdresponse is now deprecated in favor of the newcoreStatusfield and may be removed in the future.
Documentation Changes
- Removed unnecesssary endpoints from API documentation.
- Added pattern for
dobfield inPOST /api/v1/links/upsertrequest body to indicate ISO 8601 format. - Updated
Referral Lifecycle & Statusespage in theConceptssection:- New
coreStatusfield. - How to get additional details for some referral statuses.
- Recommendations for displaying appointment statuses.
- Recommendations for implementing referral action links for when users need to take action on a referral.
- New
- Updated
Referral Linkpage in theConceptssection:- Clarify link expiry, validity, and scope.
- Recommendations for redirecting users using referral links.
- Added new
Implementation Referencepage in theGetting Startedsection.
Recommendations
- Include nationality information when calling
POST /api/v1/links/upsertusing the provided enum values to prefill the referral form and reduce manual entry for the user. - Use the
isCancellablefield in theGET /api/v1/referrals/:referralIdresponse to determine whether to show a cancel option in the UI. - Use the
coreStatusfield in theGET /api/v1/referrals/:referralIdresponse instead of thestatusfield to determine the status to display to the user. Thestatusfield contains more granular information that may not be relevant for display purposes. - Do not programmatically handle the
typefield in thetimelineEventsarray in theGET /api/v1/referrals/:referralIdresponse as there may be new event types added in the future. Instead, use thedescriptionfield to display meaningful information to users without needing to update your system for new event types. - Use the new
sender-action-requiredenum value for thestatusquery parameter in theGET /api/v1/institutions/:institutionIdType/:institutionId/referralsendpoint to highlight referrals that require action from the user. - Use the new
labelfield in thelinksarray in theGET /api/v1/referrals/:referralIdresponse as the text on buttons in the UI that redirect users to RefX. - Read the new and updated documentation pages for recommendations on how to successfully integrate with RefX.
- If you have any questions or need support with these changes, please reach out to the RefX team at refx-support@health.gov.sg.

